Bug 1248395 - After install ladvd-selinux there is no active selinux policy for ladvd
Summary: After install ladvd-selinux there is no active selinux policy for ladvd
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ladvd
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1238407
TreeView+ depends on / blocked
 
Reported: 2015-07-30 08:27 UTC by Lukas Vrabec
Modified: 2015-08-15 02:15 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-15 02:15:06 UTC


Attachments (Terms of Use)
Fixed selinux policy for ladvd (1.65 KB, patch)
2015-07-30 08:36 UTC, Lukas Vrabec
no flags Details | Diff

Description Lukas Vrabec 2015-07-30 08:27:26 UTC
Description of problem:
Due to https://fedoraproject.org//wiki/Changes/SELinuxPolicyStoreMigration we test all packages shipping own SELinux policy.
When I have installed ladvd-selinux package and after successful installation there is no active selinux policy.

Version-Release number of selected component (if applicable):
ladvd-selinux-1.1.0-3.fc23.x86_64


How reproducible:
always

Steps to Reproduce:
1. # dnf install ladvd-selinux 
2. # semodule --list-modules=full |grep ladvd

Actual results:
Installed ladvd-selinux package and no active policy

Expected results:
After installed ladvd-selinux package, there will be active ladvd selinux policy

Comment 1 Lukas Vrabec 2015-07-30 08:36:08 UTC
Created attachment 1057558 [details]
Fixed selinux policy for ladvd

I attach fix for your SELinux policy.

Comment 2 Tomasz Torcz 2015-07-30 16:29:42 UTC
Thanks Lukas, fixed ladvd is built for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=10543718

Is this patch relevant for other Fedora versions (F21, F22, F23)?

Comment 3 Lukas Vrabec 2015-07-30 21:23:13 UTC
If the policy is same in all versions, yes, you could backport this patch to all of them. 

Could you re-test this issue with the newst package? (install package and use semodule)

Comment 4 Fedora Update System 2015-07-31 19:44:35 UTC
ladvd-1.1.0-4.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/ladvd-1.1.0-4.fc23

Comment 5 Tomasz Torcz 2015-07-31 19:47:30 UTC
I've tested it and the fix looks fine. I will do updates in F22 and F23, too.

Comment 6 Fedora Update System 2015-08-01 17:41:52 UTC
Package ladvd-1.1.0-4.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ladvd-1.1.0-4.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12600/ladvd-1.1.0-4.fc23
then log in and leave karma (feedback).

Comment 7 Lukas Vrabec 2015-08-03 08:49:43 UTC
Thank you!

Comment 8 Fedora Update System 2015-08-15 02:15:06 UTC
ladvd-1.1.0-4.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.